#
# spec file for package python-hidapi
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

Name:           python-hidapi
Version:        0.14.0.post2
Release:        2.1
Summary:        A Cython interface to the hidapi from https://githubcom/libusb/hidapi
License:        BSD-3-Clause AND GPL-3.0
URL:            https://github.com/trezor/cython-hidapi
# osc service runall download_files
Source:         https://files.pythonhosted.org/packages/source/h/hidapi/hidapi-%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module wheel}
BuildRequires:  %{python_module Cython0}
BuildRequires:  fdupes
BuildRequires:  libusb-1_0-devel
BuildRequires:  libgudev-1_0-devel
BuildRequires:  pkgconfig(hidapi-hidraw)
Requires:       python-Cython0

%python_subpackages

%description
A Cython interface to the hidapi from https://github.com/libusb/hidapi

%prep
%setup -q -n hidapi-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license LICENSE-bsd.txt LICENSE-gpl3.txt LICENSE-orig.txt LICENSE.txt
%{python_sitearch}/hid.*
%{python_sitearch}/hidapi-%{version}*

%changelog
* Fri Jul 18 2025 Nico Krapp <nico.krapp@suse.com>
- drop BuildRequires on flit-core and poetry, build-backend is setuptools
- drop duplicate BuildRequires
* Tue Sep 17 2024 Marcus Rueckert <mrueckert@suse.de>
- Update to 0.14.0.post2
* Fri Jan 19 2024 Marcus Rueckert <mrueckert@suse.de>
- Updating to upstream version 0.14.0
* Wed Jan 18 2023 Scott Bradnick <scott.bradnick@suse.com>
- Updating to upstream version 0.13.1
  * expose version of bindings as hid.__version__
  * expose hid_version_str
  * Update cibuildwheel action to 2.11.2
  * bump hidapi to 0.13.1
  * bump github actions versions
* Wed Aug 17 2022 Scott Bradnick <scott.bradnick@suse.com>
- Updating to upstream version 0.12.0.post2
* Mon Apr  4 2022 Scott Bradnick <scott.bradnick@suse.com>
- Updating to upstream version 0.11.2
* Sat Mar 26 2022 Scott Bradnick <scott.bradnick@suse.com>
- Initial version 0.11.0.post2 from upstream via py2pack
